package com.yihu.jw.restmodel.im;

import com.yihu.jw.restmodel.UuidIdentityVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @author huangwenjie
 * @date 2019/6/18 08:55
 */
@ApiModel(value = "ConsultVO", description = "IM咨询VO类")
public class ConsultVO extends UuidIdentityVO {
	
	@ApiModelProperty(value = "咨询类型", example = "模块1")
	private Integer type;
	
	@ApiModelProperty(value = "咨询标题/主诉", example = "模块1")
	private String title;
	
	@ApiModelProperty(value = "主诉", example = "模块1")
	private String symptoms;
	
	@ApiModelProperty(value = "咨询状态（0进行中，1已完成，-1患者取消，-2超时未响应自动关闭）", example = "模块1")
	private Integer status;
	
	@ApiModelProperty(value = "咨询时间", example = "模块1")
	private Date czrq;
	
	@ApiModelProperty(value = "是否评价 1、已评价 0、未评价'", example = "模块1")
	private Integer evaluate;
	
	@ApiModelProperty(value = "医生id", example = "模块1")
	private String doctorCode;
	
	@ApiModelProperty(value = "医生头像", example = "模块1")
	private String doctorphoto;
	
	@ApiModelProperty(value = "医生职称", example = "模块1")
	private String jobTitleName;
	
	@ApiModelProperty(value = "医生名称", example = "模块1")
	private String doctorName;
	
	@ApiModelProperty(value = "医生部门名称", example = "模块1")
	private String deptName;
	
	@ApiModelProperty(value = "患者头像", example = "模块1")
	private String patientphoto;
	
	@ApiModelProperty(value = "患者名称", example = "模块1")
	private String patientName;
	
	@ApiModelProperty(value = "患者ID", example = "模块1")
	private String patientId;
	
	
	@ApiModelProperty(value = "患者身份证", example = "模块1")
	private String patientIdcard;
	
	@ApiModelProperty(value = "患者性别", example = "模块1")
	private String patientsex;
	
	@ApiModelProperty(value = "就诊记录ID", example = "模块1")
	private String outpatientid;
	
	@ApiModelProperty(value = "就诊记录状态", example = "模块1")
	private String outpatientstatus;
	
	@ApiModelProperty(value = "就诊预约时间", example = "模块1")
	private Date registerDate;
	
	@ApiModelProperty(value = "1图文，2视频", example = "模块1")
	private String consultType;
	
	@ApiModelProperty(value = "全科医生", example = "模块1")
	private String generalDoctor;
	
	@ApiModelProperty(value = "诊断", example = "模块1")
	private String icd10Name;
	
	public Integer getType() {
		return type;
	}
	
	public void setType(Integer type) {
		this.type = type;
	}
	
	public String getTitle() {
		return title;
	}
	
	public void setTitle(String title) {
		this.title = title;
	}
	
	public String getSymptoms() {
		return symptoms;
	}
	
	public void setSymptoms(String symptoms) {
		this.symptoms = symptoms;
	}
	
	public Integer getStatus() {
		return status;
	}
	
	public void setStatus(Integer status) {
		this.status = status;
	}
	
	public Date getCzrq() {
		return czrq;
	}
	
	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}
	
	public Integer getEvaluate() {
		return evaluate;
	}
	
	public void setEvaluate(Integer evaluate) {
		this.evaluate = evaluate;
	}
	
	public String getDoctorphoto() {
		return doctorphoto;
	}
	
	public void setDoctorphoto(String doctorphoto) {
		this.doctorphoto = doctorphoto;
	}
	
	public String getJobTitleName() {
		return jobTitleName;
	}
	
	public void setJobTitleName(String jobTitleName) {
		this.jobTitleName = jobTitleName;
	}
	
	public String getDoctorName() {
		return doctorName;
	}
	
	public void setDoctorName(String doctorName) {
		this.doctorName = doctorName;
	}
	
	public String getPatientphoto() {
		return patientphoto;
	}
	
	public void setPatientphoto(String patientphoto) {
		this.patientphoto = patientphoto;
	}
	
	public String getPatientName() {
		return patientName;
	}
	
	public void setPatientName(String patientName) {
		this.patientName = patientName;
	}
	
	public String getPatientId() {
		return patientId;
	}
	
	public void setPatientId(String patientId) {
		this.patientId = patientId;
	}
	
	public String getPatientIdcard() {
		return patientIdcard;
	}
	
	public void setPatientIdcard(String patientIdcard) {
		this.patientIdcard = patientIdcard;
	}
	
	public String getPatientsex() {
		return patientsex;
	}
	
	public void setPatientsex(String patientsex) {
		this.patientsex = patientsex;
	}
	
	public String getOutpatientid() {
		return outpatientid;
	}
	
	public void setOutpatientid(String outpatientid) {
		this.outpatientid = outpatientid;
	}
	
	public String getConsultType() {
		return consultType;
	}
	
	public void setConsultType(String consultType) {
		this.consultType = consultType;
	}
	
	public String getGeneralDoctor() {
		return generalDoctor;
	}
	
	public void setGeneralDoctor(String generalDoctor) {
		this.generalDoctor = generalDoctor;
	}
	
	public String getIcd10Name() {
		return icd10Name;
	}
	
	public void setIcd10Name(String icd10Name) {
		this.icd10Name = icd10Name;
	}
	
	public String getDoctorCode() {
		return doctorCode;
	}
	
	public void setDoctorCode(String doctorCode) {
		this.doctorCode = doctorCode;
	}
	
	public String getOutpatientstatus() {
		return outpatientstatus;
	}
	
	public void setOutpatientstatus(String outpatientstatus) {
		this.outpatientstatus = outpatientstatus;
	}
	
	public Date getRegisterDate() {
		return registerDate;
	}
	
	public void setRegisterDate(Date registerDate) {
		this.registerDate = registerDate;
	}
	
	public String getDeptName() {
		return deptName;
	}
	
	public void setDeptName(String deptName) {
		this.deptName = deptName;
	}
}
